Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.profiling.spring
Class AutomaticProfilerInstaller

    java.lang.Object
      org.apache.cocoon.profiling.spring.AutomaticProfilerInstaller

    public class AutomaticProfilerInstaller

extends Object

This class is used to install `Profiler` to the correct `InvocationDispatcher`. The dependencies that all `Profiler` share are also managed by this class.

This class is especially useful in combination with spring, which can be configured to inject all `Profiler` that are declared as Spring-Managed beans into this class. So additional Profilers can be registered simply by defining them as Spring-bean.

Constructor Summary
`AutomaticProfilerInstaller()`

Method Summary
`void` | `installProfilers()` Install all profilers.
`void` | `setPipelineComponentInvocationDispatcher(InvocationDispatcher pipelineComponentInvocationDispatcher)`
`void` | `setPipelineInvocationDispatcher(InvocationDispatcher pipelineInvocationDispatcher)`
`void` | `setProfilers(Map<String,Profiler<?>> profilers)`
`void` | `setProfilingDataManager(ProfilingDataManager profilingDataManager)`
`void` | `setProfilingIdGenerator(ProfilingIdGenerator profilingIdGenerator)`
`void` | `setServletInvocationDispatcher(InvocationDispatcher servletInvocationDispatcher)`
`void` | `setSitemapNodeInvocationDispatcher(InvocationDispatcher sitemapNodeInvocationDispatcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomaticProfilerInstaller

    public AutomaticProfilerInstaller()

Method Detail

### installProfilers

    public void installProfilers()

  Install all profilers. `setProfilers(Map)` has to be called first.

### setPipelineComponentInvocationDispatcher

    public void setPipelineComponentInvocationDispatcher(InvocationDispatcher pipelineComponentInvocationDispatcher)

### setPipelineInvocationDispatcher

    public void setPipelineInvocationDispatcher(InvocationDispatcher pipelineInvocationDispatcher)

### setProfilers

    public void setProfilers(Map<String,Profiler<?>> profilers)

### setProfilingDataManager

    public void setProfilingDataManager(ProfilingDataManager profilingDataManager)

### setProfilingIdGenerator

    public void setProfilingIdGenerator(ProfilingIdGenerator profilingIdGenerator)

### setServletInvocationDispatcher

    public void setServletInvocationDispatcher(InvocationDispatcher servletInvocationDispatcher)

### setSitemapNodeInvocationDispatcher

    public void setSitemapNodeInvocationDispatcher(InvocationDispatcher sitemapNodeInvocationDispatcher)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.